Errors Attempting Upgrade from 3.0 to 3.2.2

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
energylevel
Registered User
Posts: 36
Joined: Sun Sep 09, 2007 11:37 am

Errors Attempting Upgrade from 3.0 to 3.2.2

Post by energylevel » Thu Jan 18, 2018 9:31 am

I have followed the upgrade instructions kept original config.php plus images, files and store folders. Uploaded the v3.2.2 files and folders (minus the afford mentioned) but I'm getting a all thsese errors when doing the database update resulting in the update stopping at 78% progress, any help would be appreciated:

General Error: in file /home/user/public_html/forum/phpbb/db/driver/driver.php on line 993BACKTRACEFILE: (not given by php)LINE: (not given by php)CALL: installer_msg_handler()FILE: [ROOT]/phpbb/db/driver/driver.phpLINE: 993CALL: trigger_error()FILE: [ROOT]/phpbb/db/driver/mysql.phpLINE: 191CALL: phpbb\db\driver\driver->sql_error()FILE: [ROOT]/phpbb/db/driver/factory.phpLINE: 329CALL: phpbb\db\driver\mysql->sql_query()FILE: [ROOT]/includes/functions_user.phpLINE: 287CALL: phpbb\db\driver\factory->sql_query()FILE: [ROOT]/phpbb/db/migration/data/v310/bot_update.phpLINE: 81CALL: user_add()FILE: (not given by php)LINE: (not given by php)CALL: phpbb\db\migration\data\v310\bot_update->update_bing_bot()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 714CALL: call_user_func_array()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 661CALL: phpbb\db\migrator->run_step()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 436CALL: phpbb\db\migrator->process_data_step()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 288CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 241CALL: phpbb\db\migrator->update_do()FILE: [ROOT]/phpbb/install/module/update_database/task/update.phpLINE: 160CALL: phpbb\db\migrator->update()FILE: [ROOT]/phpbb/install/module_base.phpLINE: 149CALL: phpbb\install\module\update_database\task\update->run()FILE: [ROOT]/phpbb/install/installer.phpLINE: 219CALL: phpbb\install\module_base->run()FILE: [ROOT]/phpbb/install/controller/update.phpLINE: 133CALL: phpbb\install\installer->run()FILE: (not given by php)LINE: (not given by php)CALL: phpbb\install\controller\update->phpbb\install\controller\{closure}()FILE: [ROOT]/vendor/symfony/http-foundation/StreamedResponse.phpLINE: 111CALL: call_user_func()FILE: [ROOT]/vendor/symfony/http-foundation/Response.phpLINE: 377CALL: Symfony\Component\HttpFoundation\StreamedResponse->sendContent()FILE: [ROOT]/install/app.phpLINE: 62CALL: Symfony\Component\HttpFoundation\Response->send()


[phpBB Debug] "mysql_fetch_assoc() expects parameter 1 to be resource, boolean given" in file /home/user/public_html/forum/phpbb/db/driver/mysql.php on line 275

janus_zonstraal
Registered User
Posts: 2667
Joined: Sat Aug 30, 2014 1:30 pm

Re: Errors Attempting Upgrade from 3.0 to 3.2.2

Post by janus_zonstraal » Thu Jan 18, 2018 9:39 am

See viewtopic.php?f=556&t=2455441#p14913556

And what is your php version?
Sorry! My English is bat ;) !!!

energylevel
Registered User
Posts: 36
Joined: Sun Sep 09, 2007 11:37 am

Re: Errors Attempting Upgrade from 3.0 to 3.2.2

Post by energylevel » Thu Jan 18, 2018 9:46 am

5.4

energylevel
Registered User
Posts: 36
Joined: Sun Sep 09, 2007 11:37 am

Re: Errors Attempting Upgrade from 3.0 to 3.2.2

Post by energylevel » Thu Jan 18, 2018 9:58 am

Just switched to PHP 5.6 and same error

janus_zonstraal
Registered User
Posts: 2667
Joined: Sat Aug 30, 2014 1:30 pm

Re: Errors Attempting Upgrade from 3.0 to 3.2.2

Post by janus_zonstraal » Thu Jan 18, 2018 10:03 am

Try to
Delete installer and production folder from cache
Delete io_lock and installer_config.php from store folder
Sorry! My English is bat ;) !!!

energylevel
Registered User
Posts: 36
Joined: Sun Sep 09, 2007 11:37 am

Re: Errors Attempting Upgrade from 3.0 to 3.2.2

Post by energylevel » Thu Jan 18, 2018 11:10 am

trying now
Last edited by energylevel on Thu Jan 18, 2018 11:16 am, edited 1 time in total.

janus_zonstraal
Registered User
Posts: 2667
Joined: Sat Aug 30, 2014 1:30 pm

Re: Errors Attempting Upgrade from 3.0 to 3.2.2

Post by janus_zonstraal » Thu Jan 18, 2018 11:14 am

yes io_lock.lock in the store folder
Sorry! My English is bat ;) !!!

energylevel
Registered User
Posts: 36
Joined: Sun Sep 09, 2007 11:37 am

Re: Errors Attempting Upgrade from 3.0 to 3.2.2

Post by energylevel » Thu Jan 18, 2018 11:17 am

there is no installer_config.php file in store folder

janus_zonstraal
Registered User
Posts: 2667
Joined: Sat Aug 30, 2014 1:30 pm

Re: Errors Attempting Upgrade from 3.0 to 3.2.2

Post by janus_zonstraal » Thu Jan 18, 2018 11:23 am

Ok try to do de upgrade again
Sorry! My English is bat ;) !!!

energylevel
Registered User
Posts: 36
Joined: Sun Sep 09, 2007 11:37 am

Re: Errors Attempting Upgrade from 3.0 to 3.2.2

Post by energylevel » Thu Jan 18, 2018 11:30 am

OK tried all the above that you have suggested

amended files as suggested here: viewtopic.php?f=556&t=2453611

and in config.php changed

$dbms = 'mysqi';

to

$dbms = 'mysqli';

Still getting the same errors

Any other suggestions as I'm banging my head against a wall here :? :?

janus_zonstraal
Registered User
Posts: 2667
Joined: Sat Aug 30, 2014 1:30 pm

Re: Errors Attempting Upgrade from 3.0 to 3.2.2

Post by janus_zonstraal » Thu Jan 18, 2018 11:33 am

I have followed the upgrade instructions
What instructions did you follow?
Sorry! My English is bat ;) !!!

energylevel
Registered User
Posts: 36
Joined: Sun Sep 09, 2007 11:37 am

Re: Errors Attempting Upgrade from 3.0 to 3.2.2

Post by energylevel » Thu Jan 18, 2018 11:47 am


Post Reply

Return to “[3.2.x] Support Forum”

Who is online

Users browsing this forum: 22288DLW, david63, EA117, enter a valid email, Midev and 85 guests